Bug 201774 - ooimpress crashes opening a PPT presentation
ooimpress crashes opening a PPT presentation
Status: CLOSED DUPLICATE of bug 201546
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-08 15:49 EDT by Horst H. von Brand
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-09 04:42:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A PPT that crashes impress (716.50 KB, application/vnd.ms-powerpoint)
2006-08-08 15:49 EDT, Horst H. von Brand
no flags Details

  None (edit)
Description Horst H. von Brand 2006-08-08 15:49:38 EDT
Description of problem:
ooimpress crashes opening a PPT presentation

Version-Release number of selected component (if applicable):
openoffice.org-impress-2.0.3-7.8

How reproducible:
Always (all files I tried at least)

Steps to Reproduce:
1. ooimpress ch01.ppt # File is attached
2.
3.
  
Actual results:
Crash, backtrace:

(I) x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/nv_drv.so
(III) Desktop is: GNOME
(IV) libgcj version is: libgcj-4.1.1-14-i386
(V) kernel is: Linux 2.6.17-1.2530.fc6 #1 SMP Mon Aug 7 15:27:35 EDT 2006 i686
i686 i386
(VI) OpenOffice.org core rpm version is: openoffice.org-core-2.0.3-7.8-i386
(VII) accessibility is: false
(VIII) fedora release is: Fedora Core release 5.91 (FC6 Test2)
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 20
Policy from config file:        targeted
...end sestatus details ...
0x46851780: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e780
0x46851fc0: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1efc0
0xb7fe1420:  + 0x420 (__kernel_sigreturn + 0x0)
0xd9e57d: /usr/lib/openoffice.org2.0/program/i18npool.uno.so + 0x3c57d
0x4875e786: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x2cb786
0x487613f1: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x2ce3f1
0x48762162: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x2cf162
0x48764948: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x2d1948
0x48764c66: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x2d1c66
0x4873578a: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x2a278a
(EditEngine::SetUpdateMode(unsigned char) + 0x24)
0x4877d859: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x2ea859
(Outliner::SetText(OutlinerParaObject const&) + 0x115)
0x48981fe6: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x4eefe6
(SdrTextObj::AdjustTextFrameWidthAndHeight(Rectangle&, int, int) const + 0x326)
0x48981641: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x4ee641
(SdrTextObj::NbcAdjustTextFrameWidthAndHeight(int, int) + 0x2d)
0x4897f92e: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x4ec92e
(SdrTextObj::NbcSetOutlinerParaObject(OutlinerParaObject*) + 0xf8)
0x4895cc49: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x4c9c49
(sdr::properties::TextProperties::SetStyleSheet(SfxStyleSheet*, unsigned char) +
0x26d)
0x4895dfc0: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x4cafc0
(sdr::properties::RectangleProperties::SetStyleSheet(SfxStyleSheet*, unsigned
char) + 0x24)
0x48971218: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x4de218
(SdrObject::NbcSetStyleSheet(SfxStyleSheet*, unsigned char) + 0x20)
0x490443ed: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x2113ed
0x489e1aa0: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x54eaa0
(SdrPowerPointImport::ReadObjText(PPTTextObj*, SdrObject*, SdPage*) const + 0x40)
0x489ed1a4: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x55a1a4
(SdrEscherImport::ProcessObj(SvStream&, DffObjData&, void*, Rectangle&,
SdrObject*) + 0xec6)
0x4904383a: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x21083a
0x48b77ecb: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x6e4ecb
(SvxMSDffManager::ImportShape(DffRecordHeader const&, SvStream&, void*,
Rectangle const&, Rectangle const&, int, long*) + 0x29c9)
0x48b780b2: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x6e50b2
(SvxMSDffManager::ImportObj(SvStream&, void*, Rectangle const&, Rectangle
const&, int, long*) + 0x6c)
0x49041447: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x20e447
0x49042e2d: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x20fe2d
0x4904849b: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x21549b
0x48fd15f2: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x19e5f2
(sd::DrawDocShell::ConvertFrom(SfxMedium&) + 0x132)
0x476ebf70: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x132f70
(SfxObjectShell::DoLoad(SfxMedium*) + 0xe02)
0x4771d658: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x164658
(SfxBaseModel::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&) + 0x42c)
0x4773a90b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x18190b
0x4820daeb: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xf3aeb
0x4820dd03: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xf3d03
0x4820e338: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xf4338
0x48159395: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x3f395
0x483201ff: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x361ff
(desktop::DispatchWatcher::executeDispatchRequests(_STL::vector<desktop::DispatchWatcher::DispatchRequest,
_STL::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) + 0x102b)
0x48318e6b: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2ee6b
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x15d)
0x483107d1: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x267d1
(desktop::Desktop::OpenClients() + 0xe7b)
0x4831093f: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2693f
(desktop::Desktop::OpenClients_Impl(void*) + 0x35)
0x48310996: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x26996
(desktop::Desktop::LinkStubOpenClients_Impl(void*, void*) + 0x1a)
0x46d6db5a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x84b5a
0x46ec85fd: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1df5fd
0x5163da: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1d3da
0x539dc2: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x40dc2
(SalDisplay::DispatchInternalEvent() + 0x64)
0x35305c: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1405c
0x418505e1: /lib/libglib-2.0.so.0 + 0x295e1
0x41852342: /lib/libglib-2.0.so.0 + 0x2b342 (g_main_context_dispatch + 0x182)
0x4185531f: /lib/libglib-2.0.so.0 + 0x2e31f
0x41855885: /lib/libglib-2.0.so.0 + 0x2e885 (g_main_context_iteration + 0x65)
0x352033: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x13033
0x53c1f9: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x431f9
(X11SalInstance::Yield(unsigned char) + 0x27)
0x46d75f90: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8cf90
(Application::Yield() + 0x48)
0x46d76014: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8d014
(Application::Execute() + 0x26)
0x4830d789: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x23789
(desktop::Desktop::Main() + 0x15c1)
0x46d79da2: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x90da2
0x46d79e55: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x90e55
(SVMain() + 0x2b)
0x483074f9: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1d4f9 (sal_main
+ 0x5d)
0x48307545: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1d545 (main + 0x27)
0x12a214: /lib/libc.so.6 + 0x19214 (__libc_start_main + 0xdc)
0x80484a1: /usr/lib/openoffice.org2.0/program/simpress.bin + 0x4a1

Expected results:
Presentation...

Additional info:
Comment 1 Horst H. von Brand 2006-08-08 15:49:40 EDT
Created attachment 133827 [details]
A PPT that crashes impress
Comment 2 Caolan McNamara 2006-08-09 04:42:28 EDT

*** This bug has been marked as a duplicate of 201546 ***

Note You need to log in before you can comment on or make changes to this bug.